import { Component, ViewChild, ViewEncapsulation, Inject, ElementRef } from '@angular/core';
import { EmitType, detach } from '@syncfusion/ej2-base';
import { UploaderComponent, RemovingEventArgs } from '@syncfusion/ej2-angular-inputs';
import { CheckBoxComponent } from '@syncfusion/ej2-angular-buttons';

/**
* Default Uploader Default Component
*/
@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  styleUrls: ['app.component.css'],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {

  @ViewChild('defaultupload')
  public uploadObj: UploaderComponent;
  @ViewChild('checkbox')
  public checkboxObj: CheckBoxComponent;
  // Bind the local server path for save and remove actions
  public path: Object = {
    saveUrl: 'http://localhost:50272/api/uploadbox/Save',
    removeUrl: 'http://localhost:50272/api/uploadbox/Remove'
  };

  public dropElement: HTMLElement = document.getElementsByClassName('control-fluid')[0] as HTMLElement;

  public changeHandler: EmitType<Object> = () => {
    this.uploadObj.autoUpload = this.checkboxObj.checked;
    this.uploadObj.clearAll();
  }

  public onFileRemove(args: RemovingEventArgs): void {
    args.postRawFile = false;
  }
}